Jump to content
Ketarin forum
  • Announcements

    • floele

      Ketarin 1.8.9   01/27/2018

      https://ketarin.org/forum/topic/4104-ketarin-188-beta/  

soeka

Members
  • Content count

    4
  • Joined

  • Last visited

Everything posted by soeka

  1. Anyone please help with this url: https://chromium.woolyss.com/api/v3/?os=windows&bit=64&type=stable-codecs-sync&out=string It opened in browser, but ketarin always show an error.
  2. Solved. It turns out I can get the return value of the api with Invoke-WebRequest, then put the value in textual content and process them with regex. This is simple step for anyone who might be interested (all variables are textual content): Create {api} : Invoke-WebRequest "https://chromium.woolyss.com/api/v3/?os=windows&bit=64&type=stable-codecs-sync&out=string" Create {apiv} : {api:ps} Create {version} : {apiv:regex:(?<=version\=)[\d.]+} Create {url} : {apiv:regex:(?<=download\=)[^;]+} Done.
  3. Windows 8.1 x64 Ketarin 1.8.8.0 beta This error happened a lot when trying to download httpd from apachelounge.com, but sometimes (randomly) it connected and successfully download the file. I've tried changing some setting, but nothing seems to work flawlessly, always random time out and transport connection error. Global connection setting set to 10s timeout, 1 parallel, 1 retries, 1 segment. This is the log and see attachment for the ruleset: 21/08/2017 9:11:44: Update started with 4 application(s) 21/08/2017 9:11:46: HTTPd - 32bit-vc15: Replacing {version} in 'https://www.apachelounge.com/download/VC15/binaries/httpd-{version}-win32-VC15.zip' with '2.4.27' 21/08/2017 9:11:46: HTTPd - 32bit-vc15: Using referer: https://www.apachelounge.com/download/ 21/08/2017 9:11:46: HTTPd - 32bit-vc15: Server source file: /download/VC15/binaries/httpd-2.4.27-win32-VC15.zip 21/08/2017 9:11:46: HTTPd - 32bit-vc15: Determined target file name: D:\Unduhan\Pengembang\httpd-2.4.27-win32-VC15.zip 21/08/2017 9:11:46: HTTPd - 32bit-vc15: Checking if update is required... 21/08/2017 9:11:46: HTTPd - 32bit-vc15: Update required, 'D:\Unduhan\Pengembang\httpd-2.4.27-win32-VC15.zip' does not yet exist 21/08/2017 9:12:36: HTTPd - 32bit-vc15: Failed, Unable to read data from the transport connection: An existing connection was forcibly closed by the remote host. 21/08/2017 9:12:46: HTTPd - 64bit-vc15 (sig): Failed, The operation has timed out 21/08/2017 9:12:57: HTTPd - 32bit-vc15 (sig): Failed, The operation has timed out 21/08/2017 9:13:07: HTTPd - 64bit-vc15: Failed, The operation has timed out 21/08/2017 9:13:07: Update finished Can anyone help figure out whats wrong with this? Thanks. httpd.xml
  4. Yeah, maybe they force limit based on country as well. Still got randomly disconnected from their server, but not as often as before. I also got new type of error: The server committed a protocol violation. Section=ResponseStatusLine happened just once, its gone on the next update checking. Is there any option to interval delay between update / update check globally or individually? I my case this error usually happened on batch update/checking, but not when I do it manually one by one in a certain time interval. Thanks a lot..
×